<div class="row justify-content-center">
    <div class="col-8">
        <form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">
            <h2 id="jhi-reserva-heading" jhiTranslate="locadoraApp.reserva.home.createOrEditLabel">Create or edit a Reserva</h2>
            <div>
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!reserva.id">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id"
                        [(ngModel)]="reserva.id" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.reserva.dataLocacaoPrevista" for="field_dataLocacaoPrevista">Data Locacao Prevista</label>
                    <div class="input-group">
                        <input id="field_dataLocacaoPrevista" type="text" class="form-control" name="dataLocacaoPrevista" ngbDatepicker  #dataLocacaoPrevistaDp="ngbDatepicker" [(ngModel)]="reserva.dataLocacaoPrevista"
                        required/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataLocacaoPrevistaDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                    <div [hidden]="!(editForm.controls.dataLocacaoPrevista?.dirty && editForm.controls.dataLocacaoPrevista?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.dataLocacaoPrevista?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.reserva.dataValidadeReserva" for="field_dataValidadeReserva">Data Validade Reserva</label>
                    <div class="input-group">
                        <input id="field_dataValidadeReserva" type="text" class="form-control" name="dataValidadeReserva" ngbDatepicker  #dataValidadeReservaDp="ngbDatepicker" [(ngModel)]="reserva.dataValidadeReserva"
                        required/>
                        <span class="input-group-append">
                            <button type="button" class="btn btn-secondary" (click)="dataValidadeReservaDp.toggle()"><fa-icon [icon]="'calendar-alt'"></fa-icon></button>
                        </span>
                    </div>
                    <div [hidden]="!(editForm.controls.dataValidadeReserva?.dirty && editForm.controls.dataValidadeReserva?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.dataValidadeReserva?.errors?.required" jhiTranslate="entity.validation.required">
                        This field is required.
                        </small>
                    </div>
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.reserva.observacao" for="field_observacao">Observacao</label>
                    <input type="text" class="form-control" name="observacao" id="field_observacao"
                        [(ngModel)]="reserva.observacao" maxlength="4000"/>
                    <div [hidden]="!(editForm.controls.observacao?.dirty && editForm.controls.observacao?.invalid)">
                        <small class="form-text text-danger"
                        [hidden]="!editForm.controls.observacao?.errors?.maxlength" jhiTranslate="entity.validation.maxlength" [translateValues]="{ max: 4000 }">
                        This field cannot be longer than 4000 characters.
                        </small>
                    </div>
                </div>

                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="locadoraApp.reserva.user" for="field_user">User</label>
                    <select class="form-control" id="field_user" name="user" [(ngModel)]="reserva.userId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="userOption.id" *ngFor="let userOption of users; trackBy: trackUserById">{{userOption.email}}</option>
                    </select>
                </div>
            </div>
            <div>
                <button type="button" id="cancel-save" class="btn btn-secondary"  (click)="previousState()">
                    <fa-icon [icon]="'ban'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.cancel">Cancel</span>
                </button>
                <button type="submit" id="save-entity" [disabled]="editForm.form.invalid || isSaving" class="btn btn-primary">
                    <fa-icon [icon]="'save'"></fa-icon>&nbsp;<span jhiTranslate="entity.action.save">Save</span>
                </button>
            </div>
        </form>
    </div>
</div>
